## OobsSMBConfig

OobsSMBConfig — Object that represents SMB configuration

## Functions

OobsObject * | oobs_smb_config_get ()
OobsList * | oobs_smb_config_get_shares ()
const gchar * | oobs_smb_config_get_workgroup ()
void | oobs_smb_config_set_workgroup ()
const gchar * | oobs_smb_config_get_description ()
void | oobs_smb_config_set_description ()
gboolean | oobs_smb_config_get_is_wins_server ()
void | oobs_smb_config_set_is_wins_server ()
const gchar * | oobs_smb_config_get_wins_server ()
void | oobs_smb_config_set_wins_server ()
gboolean | oobs_smb_config_user_has_password ()
void | oobs_smb_config_delete_user_password ()
void | oobs_smb_config_set_user_password ()

## Properties

char * | description | Read / Write
gboolean | is-wins-server | Read / Write
char * | wins-server | Read / Write
char * | workgroup | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsObject
            ╰── OobsSMBConfig

## Description

## Functions

### oobs_smb_config_get ()

    OobsObject *
    oobs_smb_config_get (void);

Returns the OobsSMBConfig singleton, which represents the SMB system configuration.

#### Returns

the singleton OobsSMBConfig object.

### oobs_smb_config_get_shares ()

    OobsList *
    oobs_smb_config_get_shares (OobsSMBConfig *config);

Returns an OobsList containing objects of type OobsShareSMB.

#### Parameters

config | An OobsSMBConfig. |

#### Returns

an OobsList containing the SMB shares information.

### oobs_smb_config_get_workgroup ()

    const gchar *
    oobs_smb_config_get_workgroup (OobsSMBConfig *config);

Returns the SMB workgroup for the host.

#### Parameters

config | An OobsSMBConfig. |

#### Returns

A pointer to the workgroup as a string. This string must not be freed, modified or stored.

### oobs_smb_config_set_workgroup ()

    void
    oobs_smb_config_set_workgroup (OobsSMBConfig *config,
                                   const gchar *workgroup);

Sets a new SMB workgroup for the host, overwriting the previous one.

#### Parameters

config | An OobsSMBConfig. |
workgroup | a new SMB workgroup for the host. |

### oobs_smb_config_get_description ()

    const gchar *
    oobs_smb_config_get_description (OobsSMBConfig *config);

Returns the SMB host description.

#### Parameters

config | An OobsSMBConfig. |

#### Returns

A pointer to the host description as a string. This string must not be freed, modified or stored.

### oobs_smb_config_set_description ()

    void
    oobs_smb_config_set_description (OobsSMBConfig *config,
                                     const gchar *description);

Sets a new SMB host description, overwriting the previous one.

#### Parameters

config | An OobsSMBConfig. |
description | a new host description. |

### oobs_smb_config_get_is_wins_server ()

    gboolean
    oobs_smb_config_get_is_wins_server (OobsSMBConfig *config);

Returns whether the host is a WINS server for the network.

#### Parameters

config | An OobsSMBConfig. |

#### Returns

TRUE if the host is a WINS server.

### oobs_smb_config_set_is_wins_server ()

    void
    oobs_smb_config_set_is_wins_server (OobsSMBConfig *config,
                                        gboolean is_wins_server);

Sets whether the host is a WINS server for the network. Note that there must be only one WINS server, so if there's already a WINS server in the network, there wouldn't be the need to set the host as another WINS server.

#### Parameters

config | An OobsSMBConfig. |
is_wins_server | TRUE if the host is the WINS server for the network. |

### oobs_smb_config_get_wins_server ()

    const gchar *
    oobs_smb_config_get_wins_server (OobsSMBConfig *config);

Returns the WINS server the host is using.

#### Parameters

config | An OobsSMBConfig. |

#### Returns

A pointer to the wins server as a string. This string must not be freed, modified or stored.

### oobs_smb_config_set_wins_server ()

    void
    oobs_smb_config_set_wins_server (OobsSMBConfig *config,
                                     const gchar *wins_server);

Sets the WINS server that the host will use. This option is mutually exclusive with `oobs_smb_config_set_is_wins_server()`.

#### Parameters

config | An OobsSMBConfig. |
wins_server | a new WINS server. |

### oobs_smb_config_user_has_password ()

    gboolean
    oobs_smb_config_user_has_password (OobsSMBConfig *config,
                                       OobsUser *user);

Returns whether the user has a SMB password or not.

#### Parameters

config | An OobsSMBConfig. |
user | An OobsUser |

#### Returns

TRUE if the user has a SMB password set.

### oobs_smb_config_delete_user_password ()

    void
    oobs_smb_config_delete_user_password (OobsSMBConfig *config,
                                          OobsUser *user);

Deletes the user from the SMB password database.

#### Parameters

config | An OobsSMBConfig |
user | An OobsUser |

### oobs_smb_config_set_user_password ()

    void
    oobs_smb_config_set_user_password (OobsSMBConfig *config,
                                       OobsUser *user,
                                       const gchar *password);

Sets a SMB password for the user.

#### Parameters

config | An OobsSMBConfig |
user | An OobsUser |
password | new SMB password for the user. |

## Property Details

### The `“description”` property

      “description”              char *

Description for this host.

Owner: OobsSMBConfig

Flags: Read / Write

Default value: NULL

### The `“is-wins-server”` property

      “is-wins-server”           gboolean

Whether the host is the WINS server.

Owner: OobsSMBConfig

Flags: Read / Write

Default value: FALSE

### The `“wins-server”` property

      “wins-server”              char *

WINS server that the host will use.

Owner: OobsSMBConfig

Flags: Read / Write

Default value: NULL

### The `“workgroup”` property

      “workgroup”                char *

Workgroup/domain the host is in.

Owner: OobsSMBConfig

Flags: Read / Write

Default value: NULL

## See Also

OobsShareSMB, OobsNFSConfig